[chrony-dev] [PATCH] OS X - contrib - chronylogrotate.sh - Update script |
[ Thread Index |
Date Index
| More chrony.tuxfamily.org/chrony-dev Archives
]
- To: chrony-dev@xxxxxxxxxxxxxxxxxxxx
- Subject: [chrony-dev] [PATCH] OS X - contrib - chronylogrotate.sh - Update script
- From: Bryan Christianson <bryan@xxxxxxxxxxxxx>
- Date: Mon, 30 Nov 2015 10:13:03 +1300
- Cc: Bryan Christianson <bryan@xxxxxxxxxxxxx>
- Dkim-signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=smtpcorp.com; s=a0-2; h=Feedback-ID:X-Smtpcorp-Track:Message-Id:Date: Subject:To:From; bh=AdX+sDElPE7WrQGrqU9gAx8FsIGmSg+1ZeZ/wT+syLY=; b=SSoB9s5MU YOKGCMY+8c0VEFedb9ilgeSAytTR2k7XnBD/j/bqq8SF1qfu4EPALXB+ilJhwVWHHnh+yrnXjjsXu mdTzFCqAeU+3rVDFO2KAKiQXgkWcADkc84g3gziWGOLJCtzxlZQvZXtGrhZAEBsUhmlJdfsBRv6xy AlrFSTxo7uNKo8NOilBrsoPVIBm3XSgNMXL4czvHVjqmPCPbGqHwJKOKmDT3C4yxzbCkx+cw4tjXB DmrLddaH/dzCeEIu07SsiOFQrGTKY7bCJzcTFcyvQp1r7F/IBjxsNpoPSyjko13zuN11cQrKnKKdz fWStuPLha1XVOTAkH0Bv3SPmg==;
- Feedback-id: 149811m:149811acx33YQ:149811s_pEODs27F:SMTPCORP
1. Remove obsolete options when running chronyc
2. Add copyright/licence notice
3. Use logger utility to print/store error messages
---
contrib/bryan_christianson_1/chronylogrotate.sh | 39 ++++++++++++++++---------
1 file changed, 26 insertions(+), 13 deletions(-)
diff --git a/contrib/bryan_christianson_1/chronylogrotate.sh b/contrib/bryan_christianson_1/chronylogrotate.sh
index 632aba3..f919544 100755
--- a/contrib/bryan_christianson_1/chronylogrotate.sh
+++ b/contrib/bryan_christianson_1/chronylogrotate.sh
@@ -1,20 +1,27 @@
#!/bin/sh
-# chronylogrotate.sh
-# ChronyControl
-#
-# Created by Bryan Christianson on 12/07/15.
+# chronyd/chronyc - Programs for keeping computer clocks accurate.
#
+# **********************************************************************
+# * Copyright (C) Bryan Christianson 2015
+# *
+# * This program is free software; you can redistribute it and/or modify
+# * it under the terms of version 2 of the GNU General Public License as
+# * published by the Free Software Foundation.
+# *
+# * This program is distributed in the hope that it will be useful, but
+# * WITHOUT ANY WARRANTY; without even the implied warranty of
+# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# * General Public License for more details.
+# *
+# * You should have received a copy of the GNU General Public License along
+# * with this program; if not, write to the Free Software Foundation, Inc.,
+# * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# *
+# **********************************************************************
LOGDIR=/var/log/chrony
-if [ ! -e "$LOGDIR" ]; then
- echo "missing directory: $LOGDIR"
- exit 1
-fi
-
-cd $LOGDIR
-
rotate () {
prefix=$1
@@ -33,13 +40,19 @@ rotate () {
fi
}
+if [ ! -e "$LOGDIR" ]; then
+ logger -s "missing directory: $LOGDIR"
+ exit 1
+fi
+
+cd $LOGDIR
+
rotate measurements
rotate statistics
rotate tracking
#
# signal chronyd via chronyc
-
-/usr/local/bin/chronyc -a -f /etc/chrony.d/chrony.conf cyclelogs > /dev/null
+/usr/local/bin/chronyc cyclelogs > /dev/null
exit $?
\ No newline at end of file
--
2.4.9 (Apple Git-60)
--
To unsubscribe email chrony-dev-request@xxxxxxxxxxxxxxxxxxxx with "unsubscribe" in the subject.
For help email chrony-dev-request@xxxxxxxxxxxxxxxxxxxx with "help" in the subject.
Trouble? Email listmaster@xxxxxxxxxxxxxxxxxxxx.